> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtiene información de la transacción

> Obtiene los detalles de la transacción, incluido el enlace a los resultados si el procesamiento ha finalizado, o el enlace para la revisión manual si esta es necesaria.



## OpenAPI

````yaml /es/openapi.json get /api/publicapi/v1/transactions/{transactionId}
openapi: 3.0.4
info:
  description: 'Entorno: Producción<br>Versión del producto: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Producción (Estados Unidos)
    url: https://vantage-us.abbyy.com
  - description: Producción (Europa)
    url: https://vantage-eu.abbyy.com
  - description: Producción (Australia)
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: Obtiene información de la transacción
      description: >-
        Obtiene los detalles de la transacción, incluido el enlace a los
        resultados si el procesamiento ha finalizado, o el enlace para la
        revisión manual si esta es necesaria.
      operationId: GetTransactionInfo
      parameters:
        - description: >-
            Identificador de transacción. Lo recibirá en la respuesta una vez
            que la transacción se haya creado correctamente.
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
          description: La información de la transacción se ha obtenido correctamente
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: No se encontró la transacción
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto:
      additionalProperties: false
      properties:
        documents:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto
          nullable: true
          type: array
        error:
          nullable: true
          type: string
        id:
          format: uuid
          type: string
        manualReviewLink:
          nullable: true
          type: string
        sourceFiles:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto
          nullable: true
          type: array
        status:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus
      required:
        - id
        - status
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto:
      additionalProperties: false
      properties:
        businessRulesErrors:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto
          nullable: true
          type: array
        classification:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto
        id:
          format: uuid
          type: string
        resultFiles:
          description: Estará vacío para la Skill de clasificación
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto
          nullable: true
          type: array
      required:
        - id
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto:
      additionalProperties: false
      properties:
        id:
          description: Identificador único del archivo
          minLength: 1
          type: string
        name:
          description: Nombre del archivo. Debe ser único para la transacción
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus:
      enum:
        - New
        - Processing
        - Processed
        - Failed
        - Canceled
      type: string
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto:
      additionalProperties: false
      properties:
        currentFieldId:
          description: >-
            ID del campo en el contexto en que se ejecutó la regla y se generó
            el error
          minLength: 1
          type: string
        customMessage:
          description: Mensaje de error personalizado
          nullable: true
          type: string
        errorType:
          description: Normalización, Condición, Desconocido...
          minLength: 1
          type: string
        ruleId:
          description: ID de la regla donde se produjo el error
          minLength: 1
          type: string
      required:
        - currentFieldId
        - errorType
        - ruleId
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto:
      additionalProperties: false
      properties:
        classConfidences:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto
          type: array
        isResultClassConfident:
          type: boolean
        resultClass:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto
      required:
        - classConfidences
        - isResultClassConfident
        - resultClass
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto:
      additionalProperties: false
      properties:
        fileId:
          description: UUID en el almacenamiento
          minLength: 1
          type: string
        fileName:
          description: 'Esquema predefinido: [nombre de la skill de documentos].[extensión]'
          minLength: 1
          type: string
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType
      required:
        - fileId
        - fileName
        - type
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto:
      additionalProperties: false
      properties:
        classId:
          minLength: 1
          type: string
        className:
          minLength: 1
          type: string
        confidence:
          format: int32
          type: integer
      required:
        - classId
        - className
        - confidence
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto:
      additionalProperties: false
      properties:
        id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType:
      enum:
        - Json
        - Pdf
        - Text
        - Docx
        - Xlsx
        - OcrJson
        - FieldsJson
        - FieldPicture
        - Xml
        - Tiff
        - Jpeg
        - Csv
        - Html
        - Pptx
        - Alto
        - Png
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````